From b426ca7b9613642ad24312db8c1a860fc9aab37b Mon Sep 17 00:00:00 2001
From: yuhaidong <yuhaidong@uniontech.com>
Date: Tue, 3 Nov 2020 15:39:49 +0800
Subject: [PATCH] user32:Don't erase parent when child wnd has WS_CLIPCHILDREN
 style.

Signed-off-by: yuhaidong <yuhaidong@uniontech.com>
---
 dlls/user32/winpos.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dlls/user32/winpos.c b/dlls/user32/winpos.c
index 9e5a0c238af..d12a7e9940f 100644
--- a/dlls/user32/winpos.c
+++ b/dlls/user32/winpos.c
@@ -2314,7 +2314,7 @@ BOOL USER_SetWindowPos( WINDOWPOS * winpos, int parent_x, int parent_y )
             SetForegroundWindow( winpos->hwnd );
     }
 
-    if(!(orig_flags & SWP_DEFERERASE))
+    if (!(orig_flags & SWP_DEFERERASE) && !(GetWindowLongW(winpos->hwnd, GWL_STYLE) & WS_CLIPCHILDREN))
     {
         /* erase parent when hiding or resizing child */
         if ((orig_flags & SWP_HIDEWINDOW) ||
-- 
2.20.1

